"""
Copyright (c) Meta Platforms, Inc. and affiliates.
All rights reserved.
This source code is licensed under the license found in the
LICENSE file in the root directory of this source tree.
"""

###### CREDIT GOES TO https://github.com/LAION-AI/CLIP_benchmark/blob/main/clip_benchmark/datasets ######

CLASS_NAMES = {
    "en": {
        "flowers": [
            "pink primrose",
            "hard-leaved pocket orchid",
            "canterbury bells",
            "sweet pea",
            "english marigold",
            "tiger lily",
            "moon orchid",
            "bird of paradise",
            "monkshood",
            "globe thistle",
            "snapdragon",
            "colt's foot",
            "king protea",
            "spear thistle",
            "yellow iris",
            "globe flower",
            "purple coneflower",
            "peruvian lily",
            "balloon flower",
            "giant white arum lily",
            "fire lily",
            "pincushion flower",
            "fritillary",
            "red ginger",
            "grape hyacinth",
            "corn poppy",
            "prince of wales feathers",
            "stemless gentian",
            "artichoke",
            "sweet william",
            "carnation",
            "garden phlox",
            "love in the mist",
            "mexican aster",
            "alpine sea holly",
            "ruby-lipped cattleya",
            "cape flower",
            "great masterwort",
            "siam tulip",
            "lenten rose",
            "barbeton daisy",
            "daffodil",
            "sword lily",
            "poinsettia",
            "bolero deep blue",
            "wallflower",
            "marigold",
            "buttercup",
            "oxeye daisy",
            "common dandelion",
            "petunia",
            "wild pansy",
            "primula",
            "sunflower",
            "pelargonium",
            "bishop of llandaff",
            "gaura",
            "geranium",
            "orange dahlia",
            "pink and yellow dahlia",
            "cautleya spicata",
            "japanese anemone",
            "black-eyed susan",
            "silverbush",
            "californian poppy",
            "osteospermum",
            "spring crocus",
            "bearded iris",
            "windflower",
            "tree poppy",
            "gazania",
            "azalea",
            "water lily",
            "rose",
            "thorn apple",
            "morning glory",
            "passion flower",
            "lotus",
            "toad lily",
            "anthurium",
            "frangipani",
            "clematis",
            "hibiscus",
            "columbine",
            "desert-rose",
            "tree mallow",
            "magnolia",
            "cyclamen",
            "watercress",
            "canna lily",
            "hippeastrum",
            "bee balm",
            "air plant",
            "foxglove",
            "bougainvillea",
            "camellia",
            "mallow",
            "mexican petunia",
            "bromelia",
            "blanket flower",
            "trumpet creeper",
            "blackberry lily",
        ],
        "gtsrb": [
            "red and white circle 20 kph speed limit",
            "red and white circle 30 kph speed limit",
            "red and white circle 50 kph speed limit",
            "red and white circle 60 kph speed limit",
            "red and white circle 70 kph speed limit",
            "red and white circle 80 kph speed limit",
            "end / de-restriction of 80 kph speed limit",
            "red and white circle 100 kph speed limit",
            "red and white circle 120 kph speed limit",
            "red and white circle red car and black car no passing",
            "red and white circle red truck and black car no passing",
            "red and white triangle road intersection warning",
            "white and yellow diamond priority road",
            "red and white upside down triangle yield right-of-way",
            "stop",
            "empty red and white circle",
            "red and white circle no truck entry",
            "red circle with white horizonal stripe no entry",
            "red and white triangle with exclamation mark warning",
            "red and white triangle with black left curve approaching warning",
            "red and white triangle with black right curve approaching warning",
            "red and white triangle with black double curve approaching warning",
            "red and white triangle rough / bumpy road warning",
            "red and white triangle car skidding / slipping warning",
            "red and white triangle with merging / narrow lanes warning",
            "red and white triangle with person digging / construction / road work warning",
            "red and white triangle with traffic light approaching warning",
            "red and white triangle with person walking warning",
            "red and white triangle with child and person walking warning",
            "red and white triangle with bicyle warning",
            "red and white triangle with snowflake / ice warning",
            "red and white triangle with deer warning",
            "white circle with gray strike bar no speed limit",
            "blue circle with white right turn arrow mandatory",
            "blue circle with white left turn arrow mandatory",
            "blue circle with white forward arrow mandatory",
            "blue circle with white forward or right turn arrow mandatory",
            "blue circle with white forward or left turn arrow mandatory",
            "blue circle with white keep right arrow mandatory",
            "blue circle with white keep left arrow mandatory",
            "blue circle with white arrows indicating a traffic circle",
            "white circle with gray strike bar indicating no passing for cars has ended",
            "white circle with gray strike bar indicating no passing for trucks has ended",
        ],
        "country211": [
            "Andorra",
            "United Arab Emirates",
            "Afghanistan",
            "Antigua and Barbuda",
            "Anguilla",
            "Albania",
            "Armenia",
            "Angola",
            "Antarctica",
            "Argentina",
            "Austria",
            "Australia",
            "Aruba",
            "Aland Islands",
            "Azerbaijan",
            "Bosnia and Herzegovina",
            "Barbados",
            "Bangladesh",
            "Belgium",
            "Burkina Faso",
            "Bulgaria",
            "Bahrain",
            "Benin",
            "Bermuda",
            "Brunei Darussalam",
            "Bolivia",
            "Bonaire, Saint Eustatius and Saba",
            "Brazil",
            "Bahamas",
            "Bhutan",
            "Botswana",
            "Belarus",
            "Belize",
            "Canada",
            "DR Congo",
            "Central African Republic",
            "Switzerland",
            "Cote d'Ivoire",
            "Cook Islands",
            "Chile",
            "Cameroon",
            "China",
            "Colombia",
            "Costa Rica",
            "Cuba",
            "Cabo Verde",
            "Curacao",
            "Cyprus",
            "Czech Republic",
            "Germany",
            "Denmark",
            "Dominica",
            "Dominican Republic",
            "Algeria",
            "Ecuador",
            "Estonia",
            "Egypt",
            "Spain",
            "Ethiopia",
            "Finland",
            "Fiji",
            "Falkland Islands",
            "Faeroe Islands",
            "France",
            "Gabon",
            "United Kingdom",
            "Grenada",
            "Georgia",
            "French Guiana",
            "Guernsey",
            "Ghana",
            "Gibraltar",
            "Greenland",
            "Gambia",
            "Guadeloupe",
            "Greece",
            "South Georgia and South Sandwich Is.",
            "Guatemala",
            "Guam",
            "Guyana",
            "Hong Kong",
            "Honduras",
            "Croatia",
            "Haiti",
            "Hungary",
            "Indonesia",
            "Ireland",
            "Israel",
            "Isle of Man",
            "India",
            "Iraq",
            "Iran",
            "Iceland",
            "Italy",
            "Jersey",
            "Jamaica",
            "Jordan",
            "Japan",
            "Kenya",
            "Kyrgyz Republic",
            "Cambodia",
            "St. Kitts and Nevis",
            "North Korea",
            "South Korea",
            "Kuwait",
            "Cayman Islands",
            "Kazakhstan",
            "Laos",
            "Lebanon",
            "St. Lucia",
            "Liechtenstein",
            "Sri Lanka",
            "Liberia",
            "Lithuania",
            "Luxembourg",
            "Latvia",
            "Libya",
            "Morocco",
            "Monaco",
            "Moldova",
            "Montenegro",
            "Saint-Martin",
            "Madagascar",
            "Macedonia",
            "Mali",
            "Myanmar",
            "Mongolia",
            "Macau",
            "Martinique",
            "Mauritania",
            "Malta",
            "Mauritius",
            "Maldives",
            "Malawi",
            "Mexico",
            "Malaysia",
            "Mozambique",
            "Namibia",
            "New Caledonia",
            "Nigeria",
            "Nicaragua",
            "Netherlands",
            "Norway",
            "Nepal",
            "New Zealand",
            "Oman",
            "Panama",
            "Peru",
            "French Polynesia",
            "Papua New Guinea",
            "Philippines",
            "Pakistan",
            "Poland",
            "Puerto Rico",
            "Palestine",
            "Portugal",
            "Palau",
            "Paraguay",
            "Qatar",
            "Reunion",
            "Romania",
            "Serbia",
            "Russia",
            "Rwanda",
            "Saudi Arabia",
            "Solomon Islands",
            "Seychelles",
            "Sudan",
            "Sweden",
            "Singapore",
            "St. Helena",
            "Slovenia",
            "Svalbard and Jan Mayen Islands",
            "Slovakia",
            "Sierra Leone",
            "San Marino",
            "Senegal",
            "Somalia",
            "South Sudan",
            "El Salvador",
            "Sint Maarten",
            "Syria",
            "Eswatini",
            "Togo",
            "Thailand",
            "Tajikistan",
            "Timor-Leste",
            "Turkmenistan",
            "Tunisia",
            "Tonga",
            "Turkey",
            "Trinidad and Tobago",
            "Taiwan",
            "Tanzania",
            "Ukraine",
            "Uganda",
            "United States",
            "Uruguay",
            "Uzbekistan",
            "Vatican",
            "Venezuela",
            "British Virgin Islands",
            "United States Virgin Islands",
            "Vietnam",
            "Vanuatu",
            "Samoa",
            "Kosovo",
            "Yemen",
            "South Africa",
            "Zambia",
            "Zimbabwe",
        ],
        "eurosat": [
            "annual crop land",
            "forest",
            "brushland or shrubland",
            "highway or road",
            "industrial buildings or commercial buildings",
            "pasture land",
            "permanent crop land",
            "residential buildings or homes or apartments",
            "river",
            "lake or sea",
        ],
        "fer2013": [
            "angry",
            "disgusted",
            "fearful",
            "happy",
            "neutral",
            "sad",
            "surprised",
        ],
        "caltech101": [
            "background",
            "off-center face",
            "centered face",
            "leopard",
            "motorbike",
            "accordion",
            "airplane",
            "anchor",
            "ant",
            "barrel",
            "bass",
            "beaver",
            "binocular",
            "bonsai",
            "brain",
            "brontosaurus",
            "buddha",
            "butterfly",
            "camera",
            "cannon",
            "side of a car",
            "ceiling fan",
            "cellphone",
            "chair",
            "chandelier",
            "body of a cougar cat",
            "face of a cougar cat",
            "crab",
            "crayfish",
            "crocodile",
            "head of a  crocodile",
            "cup",
            "dalmatian",
            "dollar bill",
            "dolphin",
            "dragonfly",
            "electric guitar",
            "elephant",
            "emu",
            "euphonium",
            "ewer",
            "ferry",
            "flamingo",
            "head of a flamingo",
            "garfield",
            "gerenuk",
            "gramophone",
            "grand piano",
            "hawksbill",
            "headphone",
            "hedgehog",
            "helicopter",
            "ibis",
            "inline skate",
            "joshua tree",
            "kangaroo",
            "ketch",
            "lamp",
            "laptop",
            "llama",
            "lobster",
            "lotus",
            "mandolin",
            "mayfly",
            "menorah",
            "metronome",
            "minaret",
            "nautilus",
            "octopus",
            "okapi",
            "pagoda",
            "panda",
            "pigeon",
            "pizza",
            "platypus",
            "pyramid",
            "revolver",
            "rhino",
            "rooster",
            "saxophone",
            "schooner",
            "scissors",
            "scorpion",
            "sea horse",
            "snoopy (cartoon beagle)",
            "soccer ball",
            "stapler",
            "starfish",
            "stegosaurus",
            "stop sign",
            "strawberry",
            "sunflower",
            "tick",
            "trilobite",
            "umbrella",
            "watch",
            "water lilly",
            "wheelchair",
            "wild cat",
            "windsor chair",
            "wrench",
            "yin and yang symbol",
        ],
        "caltech101_vtab": [
            "accordion",
            "airplane",
            "anchor",
            "ant",
            "background",
            "barrel",
            "bass",
            "beaver",
            "binocular",
            "bonsai",
            "brain",
            "brontosaurus",
            "buddha",
            "butterfly",
            "camera",
            "cannon",
            "side of a car",
            "ceiling fan",
            "cellphone",
            "chair",
            "chandelier",
            "body of a cougar cat",
            "face of a cougar cat",
            "crab",
            "crayfish",
            "crocodile",
            "head of a  crocodile",
            "cup",
            "dalmatian",
            "dollar bill",
            "dolphin",
            "dragonfly",
            "electric guitar",
            "elephant",
            "emu",
            "euphonium",
            "ewer",
            "off-center face",
            "centered face",
            "ferry",
            "flamingo",
            "head of a flamingo",
            "garfield",
            "gerenuk",
            "gramophone",
            "grand piano",
            "hawksbill",
            "headphone",
            "hedgehog",
            "helicopter",
            "ibis",
            "inline skate",
            "joshua tree",
            "kangaroo",
            "ketch",
            "lamp",
            "laptop",
            "leopard",
            "llama",
            "lobster",
            "lotus",
            "mandolin",
            "mayfly",
            "menorah",
            "metronome",
            "minaret",
            "motorbike",
            "nautilus",
            "octopus",
            "okapi",
            "pagoda",
            "panda",
            "pigeon",
            "pizza",
            "platypus",
            "pyramid",
            "revolver",
            "rhino",
            "rooster",
            "saxophone",
            "schooner",
            "scissors",
            "scorpion",
            "sea horse",
            "snoopy (cartoon beagle)",
            "soccer ball",
            "stapler",
            "starfish",
            "stegosaurus",
            "stop sign",
            "strawberry",
            "sunflower",
            "tick",
            "trilobite",
            "umbrella",
            "watch",
            "water lilly",
            "wheelchair",
            "wild cat",
            "windsor chair",
            "wrench",
            "yin and yang symbol",
        ],
        "imagenet1k": [
            "tench",
            "goldfish",
            "great white shark",
            "tiger shark",
            "hammerhead shark",
            "electric ray",
            "stingray",
            "rooster",
            "hen",
            "ostrich",
            "brambling",
            "goldfinch",
            "house finch",
            "junco",
            "indigo bunting",
            "American robin",
            "bulbul",
            "jay",
            "magpie",
            "chickadee",
            "American dipper",
            "kite (bird of prey)",
            "bald eagle",
            "vulture",
            "great grey owl",
            "fire salamander",
            "smooth newt",
            "newt",
            "spotted salamander",
            "axolotl",
            "American bullfrog",
            "tree frog",
            "tailed frog",
            "loggerhead sea turtle",
            "leatherback sea turtle",
            "mud turtle",
            "terrapin",
            "box turtle",
            "banded gecko",
            "green iguana",
            "Carolina anole",
            "desert grassland whiptail lizard",
            "agama",
            "frilled-necked lizard",
            "alligator lizard",
            "Gila monster",
            "European green lizard",
            "chameleon",
            "Komodo dragon",
            "Nile crocodile",
            "American alligator",
            "triceratops",
            "worm snake",
            "ring-necked snake",
            "eastern hog-nosed snake",
            "smooth green snake",
            "kingsnake",
            "garter snake",
            "water snake",
            "vine snake",
            "night snake",
            "boa constrictor",
            "African rock python",
            "Indian cobra",
            "green mamba",
            "sea snake",
            "Saharan horned viper",
            "eastern diamondback rattlesnake",
            "sidewinder rattlesnake",
            "trilobite",
            "harvestman",
            "scorpion",
            "yellow garden spider",
            "barn spider",
            "European garden spider",
            "southern black widow",
            "tarantula",
            "wolf spider",
            "tick",
            "centipede",
            "black grouse",
            "ptarmigan",
            "ruffed grouse",
            "prairie grouse",
            "peafowl",
            "quail",
            "partridge",
            "african grey parrot",
            "macaw",
            "sulphur-crested cockatoo",
            "lorikeet",
            "coucal",
            "bee eater",
            "hornbill",
            "hummingbird",
            "jacamar",
            "toucan",
            "duck",
            "red-breasted merganser",
            "goose",
            "black swan",
            "tusker",
            "echidna",
            "platypus",
            "wallaby",
            "koala",
            "wombat",
            "jellyfish",
            "sea anemone",
            "brain coral",
            "flatworm",
            "nematode",
            "conch",
            "snail",
            "slug",
            "sea slug",
            "chiton",
            "chambered nautilus",
            "Dungeness crab",
            "rock crab",
            "fiddler crab",
            "red king crab",
            "American lobster",
            "spiny lobster",
            "crayfish",
            "hermit crab",
            "isopod",
            "white stork",
            "black stork",
            "spoonbill",
            "flamingo",
            "little blue heron",
            "great egret",
            "bittern bird",
            "crane bird",
            "limpkin",
            "common gallinule",
            "American coot",
            "bustard",
            "ruddy turnstone",
            "dunlin",
            "common redshank",
            "dowitcher",
            "oystercatcher",
            "pelican",
            "king penguin",
            "albatross",
            "grey whale",
            "killer whale",
            "dugong",
            "sea lion",
            "Chihuahua",
            "Japanese Chin",
            "Maltese",
            "Pekingese",
            "Shih Tzu",
            "King Charles Spaniel",
            "Papillon",
            "toy terrier",
            "Rhodesian Ridgeback",
            "Afghan Hound",
            "Basset Hound",
            "Beagle",
            "Bloodhound",
            "Bluetick Coonhound",
            "Black and Tan Coonhound",
            "Treeing Walker Coonhound",
            "English foxhound",
            "Redbone Coonhound",
            "borzoi",
            "Irish Wolfhound",
            "Italian Greyhound",
            "Whippet",
            "Ibizan Hound",
            "Norwegian Elkhound",
            "Otterhound",
            "Saluki",
            "Scottish Deerhound",
            "Weimaraner",
            "Staffordshire Bull Terrier",
            "American Staffordshire Terrier",
            "Bedlington Terrier",
            "Border Terrier",
            "Kerry Blue Terrier",
            "Irish Terrier",
            "Norfolk Terrier",
            "Norwich Terrier",
            "Yorkshire Terrier",
            "Wire Fox Terrier",
            "Lakeland Terrier",
            "Sealyham Terrier",
            "Airedale Terrier",
            "Cairn Terrier",
            "Australian Terrier",
            "Dandie Dinmont Terrier",
            "Boston Terrier",
            "Miniature Schnauzer",
            "Giant Schnauzer",
            "Standard Schnauzer",
            "Scottish Terrier",
            "Tibetan Terrier",
            "Australian Silky Terrier",
            "Soft-coated Wheaten Terrier",
            "West Highland White Terrier",
            "Lhasa Apso",
            "Flat-Coated Retriever",
            "Curly-coated Retriever",
            "Golden Retriever",
            "Labrador Retriever",
            "Chesapeake Bay Retriever",
            "German Shorthaired Pointer",
            "Vizsla",
            "English Setter",
            "Irish Setter",
            "Gordon Setter",
            "Brittany dog",
            "Clumber Spaniel",
            "English Springer Spaniel",
            "Welsh Springer Spaniel",
            "Cocker Spaniel",
            "Sussex Spaniel",
            "Irish Water Spaniel",
            "Kuvasz",
            "Schipperke",
            "Groenendael dog",
            "Malinois",
            "Briard",
            "Australian Kelpie",
            "Komondor",
            "Old English Sheepdog",
            "Shetland Sheepdog",
            "collie",
            "Border Collie",
            "Bouvier des Flandres dog",
            "Rottweiler",
            "German Shepherd Dog",
            "Dobermann",
            "Miniature Pinscher",
            "Greater Swiss Mountain Dog",
            "Bernese Mountain Dog",
            "Appenzeller Sennenhund",
            "Entlebucher Sennenhund",
            "Boxer",
            "Bullmastiff",
            "Tibetan Mastiff",
            "French Bulldog",
            "Great Dane",
            "St. Bernard",
            "husky",
            "Alaskan Malamute",
            "Siberian Husky",
            "Dalmatian",
            "Affenpinscher",
            "Basenji",
            "pug",
            "Leonberger",
            "Newfoundland dog",
            "Great Pyrenees dog",
            "Samoyed",
            "Pomeranian",
            "Chow Chow",
            "Keeshond",
            "brussels griffon",
            "Pembroke Welsh Corgi",
            "Cardigan Welsh Corgi",
            "Toy Poodle",
            "Miniature Poodle",
            "Standard Poodle",
            "Mexican hairless dog (xoloitzcuintli)",
            "grey wolf",
            "Alaskan tundra wolf",
            "red wolf or maned wolf",
            "coyote",
            "dingo",
            "dhole",
            "African wild dog",
            "hyena",
            "red fox",
            "kit fox",
            "Arctic fox",
            "grey fox",
            "tabby cat",
            "tiger cat",
            "Persian cat",
            "Siamese cat",
            "Egyptian Mau",
            "cougar",
            "lynx",
            "leopard",
            "snow leopard",
            "jaguar",
            "lion",
            "tiger",
            "cheetah",
            "brown bear",
            "American black bear",
            "polar bear",
            "sloth bear",
            "mongoose",
            "meerkat",
            "tiger beetle",
            "ladybug",
            "ground beetle",
            "longhorn beetle",
            "leaf beetle",
            "dung beetle",
            "rhinoceros beetle",
            "weevil",
            "fly",
            "bee",
            "ant",
            "grasshopper",
            "cricket insect",
            "stick insect",
            "cockroach",
            "praying mantis",
            "cicada",
            "leafhopper",
            "lacewing",
            "dragonfly",
            "damselfly",
            "red admiral butterfly",
            "ringlet butterfly",
            "monarch butterfly",
            "small white butterfly",
            "sulphur butterfly",
            "gossamer-winged butterfly",
            "starfish",
            "sea urchin",
            "sea cucumber",
            "cottontail rabbit",
            "hare",
            "Angora rabbit",
            "hamster",
            "porcupine",
            "fox squirrel",
            "marmot",
            "beaver",
            "guinea pig",
            "common sorrel horse",
            "zebra",
            "pig",
            "wild boar",
            "warthog",
            "hippopotamus",
            "ox",
            "water buffalo",
            "bison",
            "ram (adult male sheep)",
            "bighorn sheep",
            "Alpine ibex",
            "hartebeest",
            "impala (antelope)",
            "gazelle",
            "arabian camel",
            "llama",
            "weasel",
            "mink",
            "European polecat",
            "black-footed ferret",
            "otter",
            "skunk",
            "badger",
            "armadillo",
            "three-toed sloth",
            "orangutan",
            "gorilla",
            "chimpanzee",
            "gibbon",
            "siamang",
            "guenon",
            "patas monkey",
            "baboon",
            "macaque",
            "langur",
            "black-and-white colobus",
            "proboscis monkey",
            "marmoset",
            "white-headed capuchin",
            "howler monkey",
            "titi monkey",
            "Geoffroy's spider monkey",
            "common squirrel monkey",
            "ring-tailed lemur",
            "indri",
            "Asian elephant",
            "African bush elephant",
            "red panda",
            "giant panda",
            "snoek fish",
            "eel",
            "silver salmon",
            "rock beauty fish",
            "clownfish",
            "sturgeon",
            "gar fish",
            "lionfish",
            "pufferfish",
            "abacus",
            "abaya",
            "academic gown",
            "accordion",
            "acoustic guitar",
            "aircraft carrier",
            "airliner",
            "airship",
            "altar",
            "ambulance",
            "amphibious vehicle",
            "analog clock",
            "apiary",
            "apron",
            "trash can",
            "assault rifle",
            "backpack",
            "bakery",
            "balance beam",
            "balloon",
            "ballpoint pen",
            "Band-Aid",
            "banjo",
            "baluster / handrail",
            "barbell",
            "barber chair",
            "barbershop",
            "barn",
            "barometer",
            "barrel",
            "wheelbarrow",
            "baseball",
            "basketball",
            "bassinet",
            "bassoon",
            "swimming cap",
            "bath towel",
            "bathtub",
            "station wagon",
            "lighthouse",
            "beaker",
            "military hat (bearskin or shako)",
            "beer bottle",
            "beer glass",
            "bell tower",
            "baby bib",
            "tandem bicycle",
            "bikini",
            "ring binder",
            "binoculars",
            "birdhouse",
            "boathouse",
            "bobsleigh",
            "bolo tie",
            "poke bonnet",
            "bookcase",
            "bookstore",
            "bottle cap",
            "hunting bow",
            "bow tie",
            "brass memorial plaque",
            "bra",
            "breakwater",
            "breastplate",
            "broom",
            "bucket",
            "buckle",
            "bulletproof vest",
            "high-speed train",
            "butcher shop",
            "taxicab",
            "cauldron",
            "candle",
            "cannon",
            "canoe",
            "can opener",
            "cardigan",
            "car mirror",
            "carousel",
            "tool kit",
            "cardboard box / carton",
            "car wheel",
            "automated teller machine",
            "cassette",
            "cassette player",
            "castle",
            "catamaran",
            "CD player",
            "cello",
            "mobile phone",
            "chain",
            "chain-link fence",
            "chain mail",
            "chainsaw",
            "storage chest",
            "chiffonier",
            "bell or wind chime",
            "china cabinet",
            "Christmas stocking",
            "church",
            "movie theater",
            "cleaver",
            "cliff dwelling",
            "cloak",
            "clogs",
            "cocktail shaker",
            "coffee mug",
            "coffeemaker",
            "spiral or coil",
            "combination lock",
            "computer keyboard",
            "candy store",
            "container ship",
            "convertible",
            "corkscrew",
            "cornet",
            "cowboy boot",
            "cowboy hat",
            "cradle",
            "construction crane",
            "crash helmet",
            "crate",
            "infant bed",
            "Crock Pot",
            "croquet ball",
            "crutch",
            "cuirass",
            "dam",
            "desk",
            "desktop computer",
            "rotary dial telephone",
            "diaper",
            "digital clock",
            "digital watch",
            "dining table",
            "dishcloth",
            "dishwasher",
            "disc brake",
            "dock",
            "dog sled",
            "dome",
            "doormat",
            "drilling rig",
            "drum",
            "drumstick",
            "dumbbell",
            "Dutch oven",
            "electric fan",
            "electric guitar",
            "electric locomotive",
            "entertainment center",
            "envelope",
            "espresso machine",
            "face powder",
            "feather boa",
            "filing cabinet",
            "fireboat",
            "fire truck",
            "fire screen",
            "flagpole",
            "flute",
            "folding chair",
            "football helmet",
            "forklift",
            "fountain",
            "fountain pen",
            "four-poster bed",
            "freight car",
            "French horn",
            "frying pan",
            "fur coat",
            "garbage truck",
            "gas mask or respirator",
            "gas pump",
            "goblet",
            "go-kart",
            "golf ball",
            "golf cart",
            "gondola",
            "gong",
            "gown",
            "grand piano",
            "greenhouse",
            "radiator grille",
            "grocery store",
            "guillotine",
            "hair clip",
            "hair spray",
            "half-track",
            "hammer",
            "hamper",
            "hair dryer",
            "hand-held computer",
            "handkerchief",
            "hard disk drive",
            "harmonica",
            "harp",
            "combine harvester",
            "hatchet",
            "holster",
            "home theater",
            "honeycomb",
            "hook",
            "hoop skirt",
            "gymnastic horizontal bar",
            "horse-drawn vehicle",
            "hourglass",
            "iPod",
            "clothes iron",
            "carved pumpkin",
            "jeans",
            "jeep",
            "T-shirt",
            "jigsaw puzzle",
            "rickshaw",
            "joystick",
            "kimono",
            "knee pad",
            "knot",
            "lab coat",
            "ladle",
            "lampshade",
            "laptop computer",
            "lawn mower",
            "lens cap",
            "letter opener",
            "library",
            "lifeboat",
            "lighter",
            "limousine",
            "ocean liner",
            "lipstick",
            "slip-on shoe",
            "lotion",
            "music speaker",
            "loupe magnifying glass",
            "sawmill",
            "magnetic compass",
            "messenger bag",
            "mailbox",
            "tights",
            "one-piece bathing suit",
            "manhole cover",
            "maraca",
            "marimba",
            "mask",
            "matchstick",
            "maypole",
            "maze",
            "measuring cup",
            "medicine cabinet",
            "megalith",
            "microphone",
            "microwave oven",
            "military uniform",
            "milk can",
            "minibus",
            "miniskirt",
            "minivan",
            "missile",
            "mitten",
            "mixing bowl",
            "mobile home",
            "ford model t",
            "modem",
            "monastery",
            "monitor",
            "moped",
            "mortar and pestle",
            "graduation cap",
            "mosque",
            "mosquito net",
            "vespa",
            "mountain bike",
            "tent",
            "computer mouse",
            "mousetrap",
            "moving van",
            "muzzle",
            "metal nail",
            "neck brace",
            "necklace",
            "baby pacifier",
            "notebook computer",
            "obelisk",
            "oboe",
            "ocarina",
            "odometer",
            "oil filter",
            "pipe organ",
            "oscilloscope",
            "overskirt",
            "bullock cart",
            "oxygen mask",
            "product packet / packaging",
            "paddle",
            "paddle wheel",
            "padlock",
            "paintbrush",
            "pajamas",
            "palace",
            "pan flute",
            "paper towel",
            "parachute",
            "parallel bars",
            "park bench",
            "parking meter",
            "railroad car",
            "patio",
            "payphone",
            "pedestal",
            "pencil case",
            "pencil sharpener",
            "perfume",
            "Petri dish",
            "photocopier",
            "plectrum",
            "Pickelhaube",
            "picket fence",
            "pickup truck",
            "pier",
            "piggy bank",
            "pill bottle",
            "pillow",
            "ping-pong ball",
            "pinwheel",
            "pirate ship",
            "drink pitcher",
            "block plane",
            "planetarium",
            "plastic bag",
            "plate rack",
            "farm plow",
            "plunger",
            "Polaroid camera",
            "pole",
            "police van",
            "poncho",
            "pool table",
            "soda bottle",
            "plant pot",
            "potter's wheel",
            "power drill",
            "prayer rug",
            "printer",
            "prison",
            "missile",
            "projector",
            "hockey puck",
            "punching bag",
            "purse",
            "quill",
            "quilt",
            "race car",
            "racket",
            "radiator",
            "radio",
            "radio telescope",
            "rain barrel",
            "recreational vehicle",
            "fishing casting reel",
            "reflex camera",
            "refrigerator",
            "remote control",
            "restaurant",
            "revolver",
            "rifle",
            "rocking chair",
            "rotisserie",
            "eraser",
            "rugby ball",
            "ruler measuring stick",
            "sneaker",
            "safe",
            "safety pin",
            "salt shaker",
            "sandal",
            "sarong",
            "saxophone",
            "scabbard",
            "weighing scale",
            "school bus",
            "schooner",
            "scoreboard",
            "CRT monitor",
            "screw",
            "screwdriver",
            "seat belt",
            "sewing machine",
            "shield",
            "shoe store",
            "shoji screen / room divider",
            "shopping basket",
            "shopping cart",
            "shovel",
            "shower cap",
            "shower curtain",
            "ski",
            "balaclava ski mask",
            "sleeping bag",
            "slide rule",
            "sliding door",
            "slot machine",
            "snorkel",
            "snowmobile",
            "snowplow",
            "soap dispenser",
            "soccer ball",
            "sock",
            "solar thermal collector",
            "sombrero",
            "soup bowl",
            "keyboard space bar",
            "space heater",
            "space shuttle",
            "spatula",
            "motorboat",
            "spider web",
            "spindle",
            "sports car",
            "spotlight",
            "stage",
            "steam locomotive",
            "through arch bridge",
            "steel drum",
            "stethoscope",
            "scarf",
            "stone wall",
            "stopwatch",
            "stove",
            "strainer",
            "tram",
            "stretcher",
            "couch",
            "stupa",
            "submarine",
            "suit",
            "sundial",
            "sunglasses",
            "sunglasses",
            "sunscreen",
            "suspension bridge",
            "mop",
            "sweatshirt",
            "swim trunks / shorts",
            "swing",
            "electrical switch",
            "syringe",
            "table lamp",
            "tank",
            "tape player",
            "teapot",
            "teddy bear",
            "television",
            "tennis ball",
            "thatched roof",
            "front curtain",
            "thimble",
            "threshing machine",
            "throne",
            "tile roof",
            "toaster",
            "tobacco shop",
            "toilet seat",
            "torch",
            "totem pole",
            "tow truck",
            "toy store",
            "tractor",
            "semi-trailer truck",
            "tray",
            "trench coat",
            "tricycle",
            "trimaran",
            "tripod",
            "triumphal arch",
            "trolleybus",
            "trombone",
            "hot tub",
            "turnstile",
            "typewriter keyboard",
            "umbrella",
            "unicycle",
            "upright piano",
            "vacuum cleaner",
            "vase",
            "vaulted or arched ceiling",
            "velvet fabric",
            "vending machine",
            "vestment",
            "viaduct",
            "violin",
            "volleyball",
            "waffle iron",
            "wall clock",
            "wallet",
            "wardrobe",
            "military aircraft",
            "sink",
            "washing machine",
            "water bottle",
            "water jug",
            "water tower",
            "whiskey jug",
            "whistle",
            "hair wig",
            "window screen",
            "window shade",
            "Windsor tie",
            "wine bottle",
            "airplane wing",
            "wok",
            "wooden spoon",
            "wool",
            "split-rail fence",
            "shipwreck",
            "sailboat",
            "yurt",
            "website",
            "comic book",
            "crossword",
            "traffic or street sign",
            "traffic light",
            "dust jacket",
            "menu",
            "plate",
            "guacamole",
            "consomme",
            "hot pot",
            "trifle",
            "ice cream",
            "popsicle",
            "baguette",
            "bagel",
            "pretzel",
            "cheeseburger",
            "hot dog",
            "mashed potatoes",
            "cabbage",
            "broccoli",
            "cauliflower",
            "zucchini",
            "spaghetti squash",
            "acorn squash",
            "butternut squash",
            "cucumber",
            "artichoke",
            "bell pepper",
            "cardoon",
            "mushroom",
            "Granny Smith apple",
            "strawberry",
            "orange",
            "lemon",
            "fig",
            "pineapple",
            "banana",
            "jackfruit",
            "cherimoya (custard apple)",
            "pomegranate",
            "hay",
            "carbonara",
            "chocolate syrup",
            "dough",
            "meatloaf",
            "pizza",
            "pot pie",
            "burrito",
            "red wine",
            "espresso",
            "tea cup",
            "eggnog",
            "mountain",
            "bubble",
            "cliff",
            "coral reef",
            "geyser",
            "lakeshore",
            "promontory",
            "sandbar",
            "beach",
            "valley",
            "volcano",
            "baseball player",
            "bridegroom",
            "scuba diver",
            "rapeseed",
            "daisy",
            "yellow lady's slipper",
            "corn",
            "acorn",
            "rose hip",
            "horse chestnut seed",
            "coral fungus",
            "agaric",
            "gyromitra",
            "stinkhorn mushroom",
            "earth star fungus",
            "hen of the woods mushroom",
            "bolete",
            "corn cob",
            "toilet paper",
        ],
        "clevr_count_all": [
            "three",
            "four",
            "five",
            "six",
            "seven",
            "eight",
            "nine",
            "ten",
        ],
        "clevr_closest_object_distance": [
            "very nearby",
            "nearby",
            "near",
            "",
            "distant",
            "very distant",
        ],
        "mnist": ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"],
        "svhn": [
            "zero",
            "one",
            "two",
            "three",
            "four",
            "five",
            "six",
            "seven",
            "eight",
            "nine",
        ],
        "kitti_closest_vehicle_distance": [
            "a photo i took of a car on my left or right side.",
            "a photo i took with a car nearby.",
            "a photo i took with a car in the distance.",
            "a photo i took with no car.",
        ],
        "dmlab": [
            "nearby apple/melon",
            "far apple/melon",
            "very far apple/melon",
            "nearby lemon",
            "far lemon",
            "very far lemon",
        ],
        "pets": [
            "Abyssinian",
            "American Bulldog",
            "American Pit Bull Terrier",
            "Basset Hound",
            "Beagle",
            "Bengal",
            "Birman",
            "Bombay",
            "Boxer",
            "British Shorthair",
            "Chihuahua",
            "Egyptian Mau",
            "English Cocker Spaniel",
            "English Setter",
            "German Shorthaired",
            "Great Pyrenees",
            "Havanese",
            "Japanese Chin",
            "Keeshond",
            "Leonberger",
            "Maine Coon",
            "Miniature Pinscher",
            "Newfoundland",
            "Persian",
            "Pomeranian",
            "Pug",
            "Ragdoll",
            "Russian Blue",
            "Saint Bernard",
            "Samoyed",
            "Scottish Terrier",
            "Shiba Inu",
            "Siamese",
            "Sphynx",
            "Staffordshire Bull Terrier",
            "Wheaten Terrier",
            "Yorkshire Terrier",
        ],
        "pcam": ["lymph node", "lymph node containing metastatic tumor tissue"],
        "diabetic_retinopathy": [
            "no diabetic retinopathy",
            "mild diabetic retinopathy",
            "moderate diabetic retinopathy",
            "severe diabetic retinopathy",
            "proliferative diabetic retinopathy",
        ],
    }
}
